Skip to main content
GET
Get Employees

Overview

Any data you interact with via the Bindbee API can be paginated, and this pagination is determined by the cursor and page_size query parameters.

Sample HTTP Request

Above is an example of an interactive HTTP request using the Bindbee API to demonstrate how pagination works:

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-connector-token
string
required

Query Parameters

ids
string | null

The ID of employees to fetch

Example:

"01931edf-04b6-7391-8a5c-93ac4b395316,01931edf-04c8-7649-a470-d85f6161bd1a"

manager_id
string | null

The ID of managers to fetch employees for

Example:

"01931edf-04b6-7391-8a5c-93ac4b395316,01931edf-04c8-7649-a470-d85f6161bd1a"

remote_id
string

The third-party API ID of the matching object.

Example:

"3235005483341316245"

company_id
string | null

The ID of companies to fetch employees for

Example:

"01931edf-04b6-7391-8a5c-93ac4b395316,01931edf-04c8-7649-a470-d85f6161bd1a"

include_raw_data
boolean
default:false

Whether to include the original data Bindbee fetched from the third-party to produce these models.

Example:

false

include_custom_fields
boolean
default:false

Whether to include custom fields in the response.

Example:

false

employment_status
enum<string>

If provided, will only return employees with this employment status.

Available options:
ACTIVE,
PENDING,
INACTIVE,
ACTIVE_EXTERNAL,
INACTIVE_EXTERNAL,
-,
LEAVE,
DECEASED,
RETIRED
Example:

"ACTIVE"

employee_number
string

If provided, will only return employees for this employee number

Example:

"000000168"

groups
string | null

The ID of groups to fetch employees for

Example:

"01931edf-04b6-7391-8a5c-93ac4b395316,01931edf-04c8-7649-a470-d85f6161bd1a"

pay_group_id
string | null

The ID of pay groups to fetch employees for

Example:

"01931edf-04b6-7391-8a5c-93ac4b395316,01931edf-04c8-7649-a470-d85f6161bd1a"

page_size
integer
default:50

Number of results to return per page. Maximum size is 200.

Required range: 1 <= x <= 200
cursor
string

The pagination cursor value.

modified_after
string

If provided, only objects synced by Bindbee after this date time will be returned. Format: DateTime (ISO 8601)

Example:

"2024-02-21T21:22:12.993Z"

expand
string

Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces. You can also specify required fields in [] for each relation name.

Example:

"manager[first_name,last_name]"

Response

Successful Response

cursor
string | null
required

Cursor value to fetch next set of items

Example:

"MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1"

page_size
integer
required

Indicates the count of items in the response

Example:

50

items
HrisEmployeeResponse · object[]
required

List of items in the current response

Example: